# 7. Mutacja: wygeneruj "ZonesMap"

Wygeneruj "ZonesMap" dla "Field".

{% hint style="info" %}
Czas wykonania jest różny (od 4 s do 5 min), zależy od liczby obrazów i obszaru pola do przetworzenia, a Subskrypcja zostanie otrzymana po pomyślnym wygenerowaniu "ZonesMap".
{% endhint %}

{% hint style="danger" %}
Zalecamy użycie **asynchronicznego** podejścia do generowania ZonesMaps
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    poleUuid: "<placeholder_of_field_uuid>"
    uuidyObrazówSatelitarnych: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<znacznik_miejsca_uuid_zdjęciasatelitarnego_2>"
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    nazwa
    typ
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/7.-mutacja-wygeneruj-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
